From 5a01587964feec1a5db515a8340a442ad8ac8a0b Mon Sep 17 00:00:00 2001
From: Laszlo Ersek <lersek@redhat.com>
Date: Wed, 15 Oct 2014 15:06:38 +0200
Subject: BaseTools: extend ARCH auto-detection (with uname -m) to aarch64
 (Acadia only)

---
 BaseTools/Source/C/GNUmakefile | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/BaseTools/Source/C/GNUmakefile b/BaseTools/Source/C/GNUmakefile
index 6aa37e4..6fd0cda 100644
--- a/BaseTools/Source/C/GNUmakefile
+++ b/BaseTools/Source/C/GNUmakefile
@@ -25,6 +25,9 @@ ifndef ARCH
   ifeq ($(patsubst i%86,IA32,$(uname_m)),IA32)
     ARCH=IA32
   endif
+  ifeq ($(uname_m),aarch64)
+    ARCH=AARCH64
+  endif
   ifndef ARCH
     $(info Could not detected ARCH from uname results)
     $(error ARCH is not defined!)
-- 
1.8.3.1

